ru.bitel.bgbilling.plugins.helpdesk.server.bean.event

## Class TopicWillBeCreated

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.event.QueueEvent
    - - ru.bitel.bgbilling.kernel.event.LocalEvent
      - - ru.bitel.bgbilling.plugins.helpdesk.server.bean.event.TopicWillBeCreated

- All Implemented Interfaces:
    java.io.Serializable

      public class TopicWillBeCreated
      extends LocalEvent

  Событие создание топика в HelpDesk. В этапе создания бросается как минимум один раз, как максимум ни чем не ограничен. В первый раз может быть брошен при выборе подкатегории( если эти самые подкатегории есть ) и еще n-раз, где n-количество раз которое веб юзер выберет подкатегорию.(раунд 1) И последний раз вызов произойдет при непосредственно создании топика(раунд 2). Этих последних раз может быть тоже много, если скрипт запрещает создание, веб юзеру просто выводится сообщение скрипта.
  Author:
    ildar
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TopicWillBeCreated(Topic topic, int round, int pid, java.lang.String message)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getErrorMessage()` Сообщение которое будет выведено пользователю рядом с подкатегорией в 1 раунде, а во 2 раунде будет выведено в качестве алерт сообщения.
    `java.lang.String` | `getMessage()` Первое сообщение пользователя.
    `int` | `getRound()` 1 = раунд, это момент когда выбирается подкатегория(сколько раз будет выбрана подкатегории, столько и будет срабатывать событие). 2 - раунд, непосредственно перед созданием темы.
    `Topic` | `getTopic()`
    `boolean` | `isAllowCreate()` Скрипт возвращает можно ли продолжать создавать тему.
    `void` | `setAllowCreate(boolean allowCreate)`
    `void` | `setErrorMessage(java.lang.String errorMessage)`
    `void` | `setMessage(java.lang.String message)`
    `void` | `setRound(int round)`
    `void` | `setTopic(Topic topic)`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, prepareMessage, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TopicWillBeCreated

          public TopicWillBeCreated(Topic topic,
                                    int round,
                                    int pid,
                                    java.lang.String message)

  - ### Method Detail

    - #### getTopic

          public Topic getTopic()

    - #### setTopic

          public void setTopic(Topic topic)

    - #### isAllowCreate

          public boolean isAllowCreate()

      Скрипт возвращает можно ли продолжать создавать тему.

    - #### setAllowCreate

          public void setAllowCreate(boolean allowCreate)

    - #### getErrorMessage

          public java.lang.String getErrorMessage()

      Сообщение которое будет выведено пользователю рядом с подкатегорией в 1 раунде, а во 2 раунде будет выведено в качестве алерт сообщения.

    - #### setErrorMessage

          public void setErrorMessage(java.lang.String errorMessage)

    - #### getRound

          public int getRound()

      1 = раунд, это момент когда выбирается подкатегория(сколько раз будет выбрана подкатегории, столько и будет срабатывать событие). 2 - раунд, непосредственно перед созданием темы.

    - #### setRound

          public void setRound(int round)

    - #### getMessage

          public java.lang.String getMessage()

      Первое сообщение пользователя. На первом круге, скорее всего, оно будет = null

    - #### setMessage

          public void setMessage(java.lang.String message)